----------------------------------------------------------------------
-- This file is owned and controlled by Xilinx and must be used     --
-- solely for design, simulation, implementation and creation of    --
-- design files limited to Xilinx devices or technologies. Use      --
-- with non-Xilinx devices or technologies is expressly prohibited  --
-- and immediately terminates your license.                         --
--                                                                  --
-- Xilinx products are not intended for use in life support         --
-- appliances, devices, or systems. Use in such applications are    --
-- expressly prohibited.                                            --
--                                                                  --
-- Copyright (C) 2001, Xilinx, Inc.  All Rights Reserved.           --
----------------------------------------------------------------------

-- You must compile the wrapper file comp2.vhd when simulating
-- the core, comp2. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "Coregen Users Guide".

-- The synopsys directives "translate_off/translate_on" specified
-- below are supported by XST, FPGA Express, Exemplar and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

Library XilinxCoreLib;
ENTITY comp2 IS
	port (
	A: IN std_logic_VECTOR(1 downto 0);
	B: IN std_logic_VECTOR(1 downto 0);
	A_NE_B: OUT std_logic);
END comp2;

ARCHITECTURE comp2_a OF comp2 IS

component wrapped_comp2
	port (
	A: IN std_logic_VECTOR(1 downto 0);
	B: IN std_logic_VECTOR(1 downto 0);
	A_NE_B: OUT std_logic);
end component;

-- Configuration specification 
	for all : wrapped_comp2 use entity XilinxCoreLib.C_COMPARE_V4_0(behavioral)
		generic map(
			c_has_qa_ge_b => 0,
			c_sync_enable => 0,
			c_has_sset => 0,
			c_width => 2,
			c_has_sclr => 0,
			c_has_qa_le_b => 0,
			c_has_a_ge_b => 0,
			c_has_qa_ne_b => 0,
			c_has_qa_gt_b => 0,
			c_b_constant => 0,
			c_has_aset => 0,
			c_has_a_le_b => 0,
			c_has_qa_lt_b => 0,
			c_has_a_gt_b => 0,
			c_has_a_ne_b => 1,
			c_has_aclr => 0,
			c_data_type => 1,
			c_pipe_stages => 0,
			c_has_a_lt_b => 0,
			c_sync_priority => 1,
			c_has_qa_eq_b => 0,
			c_b_value => "0",
			c_enable_rlocs => 1,
			c_has_ce => 0,
			c_ainit_val => "0",
			c_has_a_eq_b => 0);
BEGIN

U0 : wrapped_comp2
		port map (
			A => A,
			B => B,
			A_NE_B => A_NE_B);
END comp2_a;

-- synopsys translate_on

