LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

ENTITY ENCODER1 IS

	PORT(

     AIN : IN STD_LOGIC_VECTOR (18 downto 1);
     BIN : IN STD_LOGIC_VECTOR (18 downto 1);
     CIN : IN STD_LOGIC_VECTOR (18 downto 1);

     SELECTA : IN STD_LOGIC_VECTOR (18 downto 1);
     SELECTB : IN STD_LOGIC_VECTOR (18 downto 1);
     SELECTC : IN STD_LOGIC_VECTOR (18 downto 1);

	MUONA : IN STD_LOGIC;
	MUONB : IN STD_LOGIC;
	MUONC : IN STD_LOGIC;

	MODE : IN STD_LOGIC;

     NUM : OUT STD_LOGIC_VECTOR (18 downto 1)
 );

END ENTITY ENCODER1;

ARCHITECTURE ARC  OF ENCODER1 IS

BEGIN

NUM(1) <= ((AIN(1) OR BIN(1) OR CIN(1)) AND NOT MODE) OR
          (((MUONA AND SELECTA(1)) OR (MUONB AND SELECTB(1)) OR (MUONC AND SELECTC(1))) AND MODE);
NUM(2) <= ((AIN(3) OR BIN(3) OR CIN(3)) AND NOT MODE) OR
          (((MUONA AND SELECTA(3)) OR (MUONB AND SELECTB(3)) OR (MUONC AND SELECTC(3))) AND MODE);
NUM(3) <= ((AIN(5) OR BIN(5) OR CIN(5)) AND NOT MODE) OR
          (((MUONA AND SELECTA(5)) OR (MUONB AND SELECTB(5)) OR (MUONC AND SELECTC(5))) AND MODE);
NUM(4) <= ((AIN(7) OR BIN(7) OR CIN(7)) AND NOT MODE) OR
          (((MUONA AND SELECTA(7)) OR (MUONB AND SELECTB(7)) OR (MUONC AND SELECTC(7))) AND MODE);
NUM(5) <= ((AIN(9) OR BIN(9) OR CIN(9)) AND NOT MODE) OR
          (((MUONA AND SELECTA(9)) OR (MUONB AND SELECTB(9)) OR (MUONC AND SELECTC(9))) AND MODE);
NUM(6) <= ((AIN(11) OR BIN(11) OR CIN(11)) AND NOT MODE) OR
          (((MUONA AND SELECTA(11)) OR (MUONB AND SELECTB(11)) OR (MUONC AND SELECTC(11))) AND MODE);
NUM(7) <= ((AIN(13) OR BIN(13) OR CIN(13)) AND NOT MODE) OR
          (((MUONA AND SELECTA(13)) OR (MUONB AND SELECTB(13)) OR (MUONC AND SELECTC(13))) AND MODE);
NUM(8) <= ((AIN(15) OR BIN(15) OR CIN(15)) AND NOT MODE) OR
          (((MUONA AND SELECTA(15)) OR (MUONB AND SELECTB(15)) OR (MUONC AND SELECTC(15))) AND MODE);
NUM(9) <= ((AIN(17) OR BIN(17) OR CIN(17)) AND NOT MODE) OR
          (((MUONA AND SELECTA(17)) OR (MUONB AND SELECTB(17)) OR (MUONC AND SELECTC(17))) AND MODE);

NUM(10) <= ((AIN(2) OR BIN(2) OR CIN(2)) AND NOT MODE) OR
          (((MUONA AND SELECTA(2)) OR (MUONB AND SELECTB(2)) OR (MUONC AND SELECTC(2))) AND MODE);
NUM(11) <= ((AIN(4) OR BIN(4) OR CIN(4)) AND NOT MODE) OR
          (((MUONA AND SELECTA(4)) OR (MUONB AND SELECTB(4)) OR (MUONC AND SELECTC(4))) AND MODE);
NUM(12) <= ((AIN(6) OR BIN(6) OR CIN(6)) AND NOT MODE) OR
          (((MUONA AND SELECTA(6)) OR (MUONB AND SELECTB(6)) OR (MUONC AND SELECTC(6))) AND MODE);
NUM(13) <= ((AIN(8) OR BIN(8) OR CIN(8)) AND NOT MODE) OR
          (((MUONA AND SELECTA(8)) OR (MUONB AND SELECTB(8)) OR (MUONC AND SELECTC(8))) AND MODE);
NUM(14) <= ((AIN(10) OR BIN(10) OR CIN(10)) AND NOT MODE) OR
          (((MUONA AND SELECTA(10)) OR (MUONB AND SELECTB(10)) OR (MUONC AND SELECTC(10))) AND MODE);
NUM(15) <= ((AIN(12) OR BIN(12) OR CIN(12)) AND NOT MODE) OR
          (((MUONA AND SELECTA(12)) OR (MUONB AND SELECTB(12)) OR (MUONC AND SELECTC(12))) AND MODE);
NUM(16) <= ((AIN(14) OR BIN(14) OR CIN(14)) AND NOT MODE) OR
          (((MUONA AND SELECTA(14)) OR (MUONB AND SELECTB(14)) OR (MUONC AND SELECTC(14))) AND MODE);
NUM(17) <= ((AIN(16) OR BIN(16) OR CIN(16)) AND NOT MODE) OR
          (((MUONA AND SELECTA(16)) OR (MUONB AND SELECTB(16)) OR (MUONC AND SELECTC(16))) AND MODE);
NUM(18) <= ((AIN(18) OR BIN(18) OR CIN(18)) AND NOT MODE) OR
          (((MUONA AND SELECTA(18)) OR (MUONB AND SELECTB(18)) OR (MUONC AND SELECTC(18))) AND MODE);

END ARC;
