library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity mux16 is
    Port ( A : in std_logic_vector(15 downto 0);
           B : in std_logic_vector(15 downto 0);
           Q : out std_logic_vector(15 downto 0);
           SEL : in std_logic);
end entity mux16;

architecture behavioral of mux16 is

begin

mu: process (A, B, SEL) 
    begin
  case SEL is
         when '0' => Q <= A;
         when others => Q <= B;
   end case;        
   end process mu;

end architecture behavioral;
