library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity COMP153 is

    Port ( INA : in std_logic_vector(4 downto 1);
           INB : in std_logic_vector(4 downto 1);
           INC : in std_logic_vector(4 downto 1);
           IND : in std_logic_vector(4 downto 1);
           INE : in std_logic_vector(4 downto 1);
           INF : in std_logic_vector(4 downto 1);
           ING : in std_logic_vector(4 downto 1);
           INH : in std_logic_vector(4 downto 1);
           INI : in std_logic_vector(4 downto 1);
           INJ : in std_logic_vector(4 downto 1);
           INK : in std_logic_vector(4 downto 1);
           INL : in std_logic_vector(4 downto 1);
           INM : in std_logic_vector(4 downto 1);
           INN : in std_logic_vector(4 downto 1);
           INP : in std_logic_vector(4 downto 1);
           INQ : in std_logic_vector(4 downto 1);
           INR : in std_logic_vector(4 downto 1);
           INS : in std_logic_vector(4 downto 1); 
           ZERO: out std_logic_vector(18 downto 1);
           OUTA : out std_logic_vector(153 downto 1)
         );

end COMP153;

architecture behavioral of COMP153 is

begin

ZERO(1) <= INA(1) OR INA(2) OR INA(3) OR INA(4);
ZERO(2) <= INB(1) OR INB(2) OR INB(3) OR INB(4);
ZERO(3) <= INC(1) OR INC(2) OR INC(3) OR INC(4);
ZERO(4) <= IND(1) OR IND(2) OR IND(3) OR IND(4);
ZERO(5) <= INE(1) OR INE(2) OR INE(3) OR INE(4);
ZERO(6) <= INF(1) OR INF(2) OR INF(3) OR INF(4);
ZERO(7) <= ING(1) OR ING(2) OR ING(3) OR ING(4);
ZERO(8) <= INH(1) OR INH(2) OR INH(3) OR INH(4);
ZERO(9) <= INI(1) OR INI(2) OR INI(3) OR INI(4);
ZERO(10) <= INJ(1) OR INJ(2) OR INJ(3) OR INJ(4);
ZERO(11) <= INK(1) OR INK(2) OR INK(3) OR INK(4);
ZERO(12) <= INL(1) OR INL(2) OR INL(3) OR INL(4);
ZERO(13) <= INM(1) OR INM(2) OR INM(3) OR INM(4);
ZERO(14) <= INN(1) OR INN(2) OR INN(3) OR INN(4);
ZERO(15) <= INP(1) OR INP(2) OR INP(3) OR INP(4);
ZERO(16) <= INQ(1) OR INQ(2) OR INQ(3) OR INQ(4);
ZERO(17) <= INR(1) OR INR(2) OR INR(3) OR INR(4);
ZERO(18) <= INS(1) OR INS(2) OR INS(3) OR INS(4);

OUTA(1) <= '1' WHEN INA > INB ELSE '0';
OUTA(2) <= '1' WHEN INA > INC ELSE '0';
OUTA(3) <= '1' WHEN INA > IND ELSE '0';
OUTA(4) <= '1' WHEN INA > INE ELSE '0';
OUTA(5) <= '1' WHEN INA > INF ELSE '0';
OUTA(6) <= '1' WHEN INA > ING ELSE '0';
OUTA(7) <= '1' WHEN INA > INH ELSE '0';
OUTA(8) <= '1' WHEN INA > INI ELSE '0';
OUTA(9) <= '1' WHEN INA > INJ ELSE '0';
OUTA(10) <= '1' WHEN INA > INK ELSE '0';
OUTA(11) <= '1' WHEN INA > INL ELSE '0';
OUTA(12) <= '1' WHEN INA > INM ELSE '0';
OUTA(13) <= '1' WHEN INA > INN ELSE '0';
OUTA(14) <= '1' WHEN INA > INP ELSE '0';
OUTA(15) <= '1' WHEN INA > INQ ELSE '0';
OUTA(16) <= '1' WHEN INA > INR ELSE '0';
OUTA(17) <= '1' WHEN INA > INS ELSE '0';

OUTA(18) <= '1' WHEN INB > INC ELSE '0';
OUTA(19) <= '1' WHEN INB > IND ELSE '0';
OUTA(20) <= '1' WHEN INB > INE ELSE '0';
OUTA(21) <= '1' WHEN INB > INF ELSE '0';
OUTA(22) <= '1' WHEN INB > ING ELSE '0';
OUTA(23) <= '1' WHEN INB > INH ELSE '0';
OUTA(24) <= '1' WHEN INB > INI ELSE '0';
OUTA(25) <= '1' WHEN INB > INJ ELSE '0';
OUTA(26) <= '1' WHEN INB > INK ELSE '0';
OUTA(27) <= '1' WHEN INB > INL ELSE '0';
OUTA(28) <= '1' WHEN INB > INM ELSE '0';
OUTA(29) <= '1' WHEN INB > INN ELSE '0';
OUTA(30) <= '1' WHEN INB > INP ELSE '0';
OUTA(31) <= '1' WHEN INB > INQ ELSE '0';
OUTA(32) <= '1' WHEN INB > INR ELSE '0';
OUTA(33) <= '1' WHEN INB > INS ELSE '0';

OUTA(34) <= '1' WHEN INC > IND ELSE '0';
OUTA(35) <= '1' WHEN INC > INE ELSE '0';
OUTA(36) <= '1' WHEN INC > INF ELSE '0';
OUTA(37) <= '1' WHEN INC > ING ELSE '0';
OUTA(38) <= '1' WHEN INC > INH ELSE '0';
OUTA(39) <= '1' WHEN INC > INI ELSE '0';
OUTA(40) <= '1' WHEN INC > INJ ELSE '0';
OUTA(41) <= '1' WHEN INC > INK ELSE '0';
OUTA(42) <= '1' WHEN INC > INL ELSE '0';
OUTA(43) <= '1' WHEN INC > INM ELSE '0';
OUTA(44) <= '1' WHEN INC > INN ELSE '0';
OUTA(45) <= '1' WHEN INC > INP ELSE '0';
OUTA(46) <= '1' WHEN INC > INQ ELSE '0';
OUTA(47) <= '1' WHEN INC > INR ELSE '0';
OUTA(48) <= '1' WHEN INC > INS ELSE '0';

OUTA(49) <= '1' WHEN IND > INE ELSE '0';
OUTA(50) <= '1' WHEN IND > INF ELSE '0';
OUTA(51) <= '1' WHEN IND > ING ELSE '0';
OUTA(52) <= '1' WHEN IND > INH ELSE '0';
OUTA(53) <= '1' WHEN IND > INI ELSE '0';
OUTA(54) <= '1' WHEN IND > INJ ELSE '0';
OUTA(55) <= '1' WHEN IND > INK ELSE '0';
OUTA(56) <= '1' WHEN IND > INL ELSE '0';
OUTA(57) <= '1' WHEN IND > INM ELSE '0';
OUTA(58) <= '1' WHEN IND > INN ELSE '0';
OUTA(59) <= '1' WHEN IND > INP ELSE '0';
OUTA(60) <= '1' WHEN IND > INQ ELSE '0';
OUTA(61) <= '1' WHEN IND > INR ELSE '0';
OUTA(62) <= '1' WHEN IND > INS ELSE '0';

OUTA(63) <= '1' WHEN INE > INF ELSE '0';
OUTA(64) <= '1' WHEN INE > ING ELSE '0';
OUTA(65) <= '1' WHEN INE > INH ELSE '0';
OUTA(66) <= '1' WHEN INE > INI ELSE '0';
OUTA(67) <= '1' WHEN INE > INJ ELSE '0';
OUTA(68) <= '1' WHEN INE > INK ELSE '0';
OUTA(69) <= '1' WHEN INE > INL ELSE '0';
OUTA(70) <= '1' WHEN INE > INM ELSE '0';
OUTA(71) <= '1' WHEN INE > INN ELSE '0';
OUTA(72) <= '1' WHEN INE > INP ELSE '0';
OUTA(73) <= '1' WHEN INE > INQ ELSE '0';
OUTA(74) <= '1' WHEN INE > INR ELSE '0';
OUTA(75) <= '1' WHEN INE > INS ELSE '0';

OUTA(76) <= '1' WHEN INF > ING ELSE '0';
OUTA(77) <= '1' WHEN INF > INH ELSE '0';
OUTA(78) <= '1' WHEN INF > INI ELSE '0';
OUTA(79) <= '1' WHEN INF > INJ ELSE '0';
OUTA(80) <= '1' WHEN INF > INK ELSE '0';
OUTA(81) <= '1' WHEN INF > INL ELSE '0';
OUTA(82) <= '1' WHEN INF > INM ELSE '0';
OUTA(83) <= '1' WHEN INF > INN ELSE '0';
OUTA(84) <= '1' WHEN INF > INP ELSE '0';
OUTA(85) <= '1' WHEN INF > INQ ELSE '0';
OUTA(86) <= '1' WHEN INF > INR ELSE '0';
OUTA(87) <= '1' WHEN INF > INS ELSE '0';

OUTA(88) <= '1' WHEN ING > INH ELSE '0';
OUTA(89) <= '1' WHEN ING > INI ELSE '0';
OUTA(90) <= '1' WHEN ING > INJ ELSE '0';
OUTA(91) <= '1' WHEN ING > INK ELSE '0';
OUTA(92) <= '1' WHEN ING > INL ELSE '0';
OUTA(93) <= '1' WHEN ING > INM ELSE '0';
OUTA(94) <= '1' WHEN ING > INN ELSE '0';
OUTA(95) <= '1' WHEN ING > INP ELSE '0';
OUTA(96) <= '1' WHEN ING > INQ ELSE '0';
OUTA(97) <= '1' WHEN ING > INR ELSE '0';
OUTA(98) <= '1' WHEN ING > INS ELSE '0';

OUTA(99) <= '1' WHEN INH > INI ELSE '0';
OUTA(100) <= '1' WHEN INH > INJ ELSE '0';
OUTA(101) <= '1' WHEN INH > INK ELSE '0';
OUTA(102) <= '1' WHEN INH > INL ELSE '0';
OUTA(103) <= '1' WHEN INH > INM ELSE '0';
OUTA(104) <= '1' WHEN INH > INN ELSE '0';
OUTA(105) <= '1' WHEN INH > INP ELSE '0';
OUTA(106) <= '1' WHEN INH > INQ ELSE '0';
OUTA(107) <= '1' WHEN INH > INR ELSE '0';
OUTA(108) <= '1' WHEN INH > INS ELSE '0';

OUTA(109) <= '1' WHEN INI > INJ ELSE '0';
OUTA(110) <= '1' WHEN INI > INK ELSE '0';
OUTA(111) <= '1' WHEN INI > INL ELSE '0';
OUTA(112) <= '1' WHEN INI > INM ELSE '0';
OUTA(113) <= '1' WHEN INI > INN ELSE '0';
OUTA(114) <= '1' WHEN INI > INP ELSE '0';
OUTA(115) <= '1' WHEN INI > INQ ELSE '0';
OUTA(116) <= '1' WHEN INI > INR ELSE '0';
OUTA(117) <= '1' WHEN INI > INS ELSE '0';

OUTA(118) <= '1' WHEN INJ > INK ELSE '0';
OUTA(119) <= '1' WHEN INJ > INL ELSE '0';
OUTA(120) <= '1' WHEN INJ > INM ELSE '0';
OUTA(121) <= '1' WHEN INJ > INN ELSE '0';
OUTA(122) <= '1' WHEN INJ > INP ELSE '0';
OUTA(123) <= '1' WHEN INJ > INQ ELSE '0';
OUTA(124) <= '1' WHEN INJ > INR ELSE '0';
OUTA(125) <= '1' WHEN INJ > INS ELSE '0';

OUTA(126) <= '1' WHEN INK > INL ELSE '0';
OUTA(127) <= '1' WHEN INK > INM ELSE '0';
OUTA(128) <= '1' WHEN INK > INN ELSE '0';
OUTA(129) <= '1' WHEN INK > INP ELSE '0';
OUTA(130) <= '1' WHEN INK > INQ ELSE '0';
OUTA(131) <= '1' WHEN INK > INR ELSE '0';
OUTA(132) <= '1' WHEN INK > INS ELSE '0';

OUTA(133) <= '1' WHEN INL > INM ELSE '0';
OUTA(134) <= '1' WHEN INL > INN ELSE '0';
OUTA(135) <= '1' WHEN INL > INP ELSE '0';
OUTA(136) <= '1' WHEN INL > INQ ELSE '0';
OUTA(137) <= '1' WHEN INL > INR ELSE '0';
OUTA(138) <= '1' WHEN INL > INS ELSE '0';

OUTA(139) <= '1' WHEN INM > INN ELSE '0';
OUTA(140) <= '1' WHEN INM > INP ELSE '0';
OUTA(141) <= '1' WHEN INM > INQ ELSE '0';
OUTA(142) <= '1' WHEN INM > INR ELSE '0';
OUTA(143) <= '1' WHEN INM > INS ELSE '0';

OUTA(144) <= '1' WHEN INN > INP ELSE '0';
OUTA(145) <= '1' WHEN INN > INQ ELSE '0';
OUTA(146) <= '1' WHEN INN > INR ELSE '0';
OUTA(147) <= '1' WHEN INN > INS ELSE '0';

OUTA(148) <= '1' WHEN INP > INQ ELSE '0';
OUTA(149) <= '1' WHEN INP > INR ELSE '0';
OUTA(150) <= '1' WHEN INP > INS ELSE '0';

OUTA(151) <= '1' WHEN INQ > INR ELSE '0';
OUTA(152) <= '1' WHEN INQ > INS ELSE '0';

OUTA(153) <= '1' WHEN INR > INS ELSE '0';

end behavioral;
