LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

ENTITY SELECT2 IS

	PORT(
	IINPUT		: IN STD_LOGIC_VECTOR (153 downto 1);
        INPUTT          : IN STD_LOGIC_VECTOR (18 downto 1);
        ZZERO            : IN STD_LOGIC_VECTOR (18 downto 1);
        OUTPUTT       	: OUT STD_LOGIC_VECTOR (18 downto 1)
 );

END ENTITY SELECT2;

ARCHITECTURE ARC  OF SELECT2 IS

BEGIN

OUTPUTT(1) <= (IINPUT(1) OR INPUTT(2)) AND (IINPUT(2) OR INPUTT(3)) AND 
              (IINPUT(3) OR INPUTT(4)) AND (IINPUT(4) OR INPUTT(5)) AND 
              (IINPUT(5) OR INPUTT(6)) AND (IINPUT(6) OR INPUTT(7)) AND
              (IINPUT(7) OR INPUTT(8)) AND (IINPUT(8) OR INPUTT(9)) AND 
              (IINPUT(9) OR INPUTT(10)) AND (IINPUT(10) OR INPUTT(11)) AND 
              (IINPUT(11) OR INPUTT(12)) AND (IINPUT(12) OR INPUTT(13)) AND
              (IINPUT(13) OR INPUTT(14)) AND (IINPUT(14) OR INPUTT(15)) AND 
              (IINPUT(15) OR INPUTT(16)) AND (IINPUT(16) OR INPUTT(17)) AND 
              (IINPUT(17) OR INPUTT(18)) AND NOT INPUTT(1) AND ZZERO(1);

OUTPUTT(2) <= (NOT IINPUT(1) OR INPUTT(1)) AND (IINPUT(18) OR INPUTT(3)) AND 
              (IINPUT(19) OR INPUTT(4)) AND (IINPUT(20) OR INPUTT(5)) AND
              (IINPUT(21) OR INPUTT(6)) AND (IINPUT(22) OR INPUTT(7)) AND 
              (IINPUT(23) OR INPUTT(8)) AND (IINPUT(24) OR INPUTT(9)) AND 
              (IINPUT(25) OR INPUTT(10)) AND (IINPUT(26) OR INPUTT(11)) AND 
              (IINPUT(27) OR INPUTT(12)) AND (IINPUT(28) OR INPUTT(13)) AND 
              (IINPUT(29) OR INPUTT(14)) AND (IINPUT(30) OR INPUTT(15)) AND
              (IINPUT(31) OR INPUTT(16)) AND (IINPUT(32) OR INPUTT(17)) AND 
              (IINPUT(33) OR INPUTT(18)) AND NOT INPUTT(2) AND ZZERO(2);

OUTPUTT(3) <= (NOT IINPUT(2) OR INPUTT(1)) AND (NOT IINPUT(18) OR INPUTT(2)) AND
              (IINPUT(34) OR INPUTT(4)) AND (IINPUT(35) OR INPUTT(5)) AND 
              (IINPUT(36) OR INPUTT(6)) AND (IINPUT(37) OR INPUTT(7)) AND 
              (IINPUT(38) OR INPUTT(8)) AND (IINPUT(39) OR INPUTT(9)) AND 
              (IINPUT(40) OR INPUTT(10)) AND (IINPUT(41) OR INPUTT(11)) AND
              (IINPUT(42) OR INPUTT(12)) AND (IINPUT(43) OR INPUTT(13)) AND 
              (IINPUT(44) OR INPUTT(14)) AND (IINPUT(45) OR INPUTT(15)) AND 
              (IINPUT(46) OR INPUTT(16)) AND (IINPUT(47) OR INPUTT(17)) AND 
              (IINPUT(48) OR INPUTT(18)) AND NOT INPUTT(3) AND ZZERO(3);

OUTPUTT(4) <= (NOT IINPUT(3) OR INPUTT(1)) AND (NOT IINPUT(19) OR INPUTT(2)) AND 
              (NOT IINPUT(34) OR INPUTT(3)) AND (IINPUT(49) OR INPUTT(5)) AND 
              (IINPUT(50) OR INPUTT(6))  AND (IINPUT(51) OR INPUTT(7)) AND 
              (IINPUT(52) OR INPUTT(8))  AND (IINPUT(53) OR INPUTT(9)) AND 
              (IINPUT(54) OR INPUTT(10))  AND (IINPUT(55) OR INPUTT(11)) AND 
              (IINPUT(56) OR INPUTT(12))  AND (IINPUT(57) OR INPUTT(13)) AND
              (IINPUT(58) OR INPUTT(14)) AND (IINPUT(59) OR INPUTT(15))  AND 
              (IINPUT(60) OR INPUTT(16)) AND (IINPUT(61) OR INPUTT(17)) AND 
              (IINPUT(62) OR INPUTT(18)) AND NOT INPUTT(4) AND ZZERO(4);

OUTPUTT(5) <= (NOT IINPUT(4) OR INPUTT(1)) AND (NOT IINPUT(20) OR INPUTT(2)) AND
              (NOT IINPUT(35) OR INPUTT(3)) AND (NOT IINPUT(49) OR INPUTT(4)) AND
              (IINPUT(63) OR INPUTT(6))  AND (IINPUT(64) OR INPUTT(7)) AND 
              (IINPUT(65) OR INPUTT(8))  AND (IINPUT(66) OR INPUTT(9)) AND 
              (IINPUT(67) OR INPUTT(10)) AND (IINPUT(68) OR INPUTT(11)) AND
              (IINPUT(69) OR INPUTT(12)) AND (IINPUT(70) OR INPUTT(13)) AND 
              (IINPUT(71) OR INPUTT(14)) AND (IINPUT(72) OR INPUTT(15)) AND
              (IINPUT(73) OR INPUTT(16)) AND (IINPUT(74) OR INPUTT(17)) AND 
              (IINPUT(75) OR INPUTT(18)) AND NOT INPUTT(5) AND ZZERO(5);

OUTPUTT(6) <= (NOT IINPUT(5) OR INPUTT(1)) AND (NOT IINPUT(21) OR INPUTT(2))  AND 
              (NOT IINPUT(36) OR INPUTT(3))  AND (NOT IINPUT(50) OR INPUTT(4)) AND 
              (NOT IINPUT(63) OR INPUTT(5)) AND (IINPUT(76) OR INPUTT(7)) AND 
              (IINPUT(77) OR INPUTT(8)) AND (IINPUT(78) OR INPUTT(9)) AND
              (IINPUT(79) OR INPUTT(10)) AND (IINPUT(80) OR INPUTT(11)) AND 
              (IINPUT(81) OR INPUTT(12))  AND (IINPUT(82) OR INPUTT(13))  AND 
              (IINPUT(83) OR INPUTT(14)) AND (IINPUT(84) OR INPUTT(15)) AND 
              (IINPUT(85) OR INPUTT(16)) AND (IINPUT(86) OR INPUTT(17)) AND
              (IINPUT(87) OR INPUTT(18)) AND NOT INPUTT(6) AND ZZERO(6);
 
OUTPUTT(7) <= (NOT IINPUT(6) OR INPUTT(1)) AND (NOT IINPUT(22) OR INPUTT(2)) AND
              (NOT IINPUT(37) OR INPUTT(3)) AND (NOT IINPUT(51) OR INPUTT(4)) AND 
              (NOT IINPUT(64) OR INPUTT(5)) AND (NOT IINPUT(76) OR INPUTT(6))  AND
              (IINPUT(88) OR INPUTT(8)) AND (IINPUT(89) OR INPUTT(9)) AND 
              (IINPUT(90) OR INPUTT(10)) AND (IINPUT(91) OR INPUTT(11)) AND 
              (IINPUT(92) OR INPUTT(12)) AND (IINPUT(93) OR INPUTT(13)) AND
              (IINPUT(94) OR INPUTT(14))  AND (IINPUT(95) OR INPUTT(15)) AND 
              (IINPUT(96) OR INPUTT(16))  AND (IINPUT(97) OR INPUTT(17)) AND
              (IINPUT(98) OR INPUTT(18)) AND NOT INPUTT(7) AND ZZERO(7);
             
OUTPUTT(8) <= (NOT IINPUT(7) OR INPUTT(1)) AND (NOT IINPUT(23) OR INPUTT(2)) AND
              (NOT IINPUT(38) OR INPUTT(3)) AND (NOT IINPUT(52) OR INPUTT(4)) AND 
              (NOT IINPUT(65) OR INPUTT(5)) AND (NOT IINPUT(77) OR INPUTT(6)) AND
              (NOT IINPUT(88) OR INPUTT(7))  AND (IINPUT(99) OR INPUTT(9)) AND 
              (IINPUT(100) OR INPUTT(10)) AND (IINPUT(101) OR INPUTT(11)) AND 
              (IINPUT(102) OR INPUTT(12)) AND (IINPUT(103) OR INPUTT(13)) AND 
              (IINPUT(104) OR INPUTT(14)) AND (IINPUT(105)  OR INPUTT(15)) AND 
              (IINPUT(106) OR INPUTT(16))  AND (IINPUT(107) OR INPUTT(17)) AND 
              (IINPUT(108) OR INPUTT(18)) AND NOT INPUTT(8) AND ZZERO(8);
             
OUTPUTT(9) <= (NOT IINPUT(8) OR INPUTT(1)) AND (NOT IINPUT(24) OR INPUTT(2)) AND 
              (NOT IINPUT(39) OR INPUTT(3)) AND (NOT IINPUT(53) OR INPUTT(4)) AND 
              (NOT IINPUT(66) OR INPUTT(5)) AND (NOT IINPUT(78) OR INPUTT(6)) AND 
              (NOT IINPUT(89) OR INPUTT(7)) AND (NOT IINPUT(99) OR INPUTT(8)) AND 
              (IINPUT(109) OR INPUTT(10)) AND (IINPUT(110) OR INPUTT(11)) AND 
              (IINPUT(111) OR INPUTT(12)) AND (IINPUT(112) OR INPUTT(13)) AND 
              (IINPUT(113) OR INPUTT(14))  AND (IINPUT(114) OR INPUTT(15)) AND 
              (IINPUT(115) OR INPUTT(16)) AND (IINPUT(116) OR INPUTT(17)) AND 
              (IINPUT(117) OR INPUTT(18)) AND NOT INPUTT(9) AND ZZERO(9);

OUTPUTT(10) <= (NOT IINPUT(9) OR INPUTT(1)) AND (NOT IINPUT(25) OR INPUTT(2)) AND 
               (NOT IINPUT(40) OR INPUTT(3)) AND (NOT IINPUT(54) OR INPUTT(4))  AND 
               (NOT IINPUT(67) OR INPUTT(5)) AND (NOT IINPUT(79) OR INPUTT(6)) AND
               (NOT IINPUT(90) OR INPUTT(7)) AND (NOT IINPUT(100) OR INPUTT(8)) AND 
               (NOT IINPUT(109) OR INPUTT(9)) AND (IINPUT(118) OR INPUTT(11)) AND 
               (IINPUT(119) OR INPUTT(12)) AND (IINPUT(120) OR INPUTT(13)) AND
               (IINPUT(121) OR INPUTT(14)) AND (IINPUT(122) OR INPUTT(15)) AND
               (IINPUT(123) OR INPUTT(16))  AND (IINPUT(124) OR INPUTT(17)) AND
               (IINPUT(125) OR INPUTT(18)) AND NOT INPUTT(10) AND ZZERO(10);

OUTPUTT(11) <= (NOT IINPUT(10) OR INPUTT(1)) AND (NOT IINPUT(26) OR INPUTT(2)) AND
               (NOT IINPUT(41) OR INPUTT(3))  AND (NOT IINPUT(55) OR INPUTT(4)) AND 
               (NOT IINPUT(68) OR INPUTT(5)) AND (NOT IINPUT(80) OR INPUTT(6)) AND 
               (NOT IINPUT(91) OR INPUTT(7)) AND (NOT IINPUT(101) OR INPUTT(8)) AND 
               (NOT IINPUT(110) OR INPUTT(9)) AND (NOT IINPUT(118) OR INPUTT(10)) AND 
               (IINPUT(126) OR INPUTT(12)) AND (IINPUT(127) OR INPUTT(13)) AND 
               (IINPUT(128) OR INPUTT(14)) AND (IINPUT(129) OR INPUTT(15))  AND 
               (IINPUT(130) OR INPUTT(16)) AND (IINPUT(131) OR INPUTT(17)) AND 
               (IINPUT(132) OR INPUTT(18)) AND NOT INPUTT(11) AND ZZERO(11);

OUTPUTT(12) <= (NOT IINPUT(11) OR INPUTT(1)) AND (NOT IINPUT(27) OR INPUTT(2)) AND 
               (NOT IINPUT(42) OR INPUTT(3)) AND (NOT IINPUT(56) OR INPUTT(4))  AND 
               (NOT IINPUT(69) OR INPUTT(5)) AND (NOT IINPUT(81) OR INPUTT(6)) AND 
               (NOT IINPUT(92) OR INPUTT(7)) AND (NOT IINPUT(102) OR INPUTT(8)) AND 
               (NOT IINPUT(111) OR INPUTT(9)) AND (NOT IINPUT(119) OR INPUTT(10)) AND 
               (NOT IINPUT(126) OR INPUTT(11)) AND (IINPUT(133) OR INPUTT(13)) AND 
               (IINPUT(134) OR INPUTT(14)) AND (IINPUT(135) OR INPUTT(15)) AND 
               (IINPUT(136) OR INPUTT(16)) AND (IINPUT(137) OR INPUTT(17)) AND 
               (IINPUT(138) OR INPUTT(18)) AND NOT INPUTT(12) AND ZZERO(12);

OUTPUTT(13) <= (NOT IINPUT(12) OR INPUTT(1)) AND (NOT IINPUT(28) OR INPUTT(2)) AND 
               (NOT IINPUT(43) OR INPUTT(3)) AND (NOT IINPUT(57) OR INPUTT(4)) AND 
               (NOT IINPUT(70) OR INPUTT(5)) AND (NOT IINPUT(82) OR INPUTT(6)) AND
               (NOT IINPUT(93) OR INPUTT(7)) AND (NOT IINPUT(103) OR INPUTT(8)) AND 
               (NOT IINPUT(112) OR INPUTT(9)) AND (NOT IINPUT(120) OR INPUTT(10)) AND 
               (NOT IINPUT(127) OR INPUTT(11)) AND (NOT IINPUT(133) OR INPUTT(12)) AND 
               (IINPUT(139) OR INPUTT(14)) AND (IINPUT(140) OR INPUTT(15)) AND 
               (IINPUT(141) OR INPUTT(16))  AND (IINPUT(142) OR INPUTT(17)) AND 
               (IINPUT(143) OR INPUTT(18)) AND NOT INPUTT(13) AND ZZERO(13);

OUTPUTT(14) <= (NOT IINPUT(13) OR INPUTT(1)) AND (NOT IINPUT(29) OR INPUTT(2)) AND 
               (NOT IINPUT(44) OR INPUTT(3)) AND (NOT IINPUT(58) OR INPUTT(4)) AND 
               (NOT IINPUT(71) OR INPUTT(5)) AND (NOT IINPUT(83) OR INPUTT(6)) AND 
               (NOT IINPUT(94) OR INPUTT(7)) AND (NOT IINPUT(104) OR INPUTT(8)) AND 
               (NOT IINPUT(113) OR INPUTT(9)) AND (NOT IINPUT(121) OR INPUTT(10)) AND 
               (NOT IINPUT(128) OR INPUTT(11)) AND (NOT IINPUT(134) OR INPUTT(12)) AND
               (NOT IINPUT(139) OR INPUTT(13))  AND (IINPUT(144) OR INPUTT(15)) AND 
               (IINPUT(145) OR INPUTT(16)) AND (IINPUT(146) OR INPUTT(17)) AND 
               (IINPUT(147) OR INPUTT(18)) AND NOT INPUTT(14) AND ZZERO(14);

OUTPUTT(15) <= (NOT IINPUT(14) OR INPUTT(1)) AND (NOT IINPUT(30) OR INPUTT(2)) AND 
               (NOT IINPUT(45) OR INPUTT(3))  AND (NOT IINPUT(59) OR INPUTT(4)) AND 
               (NOT IINPUT(72) OR INPUTT(5))  AND (NOT IINPUT(84) OR INPUTT(6))  AND 
               (NOT IINPUT(95) OR INPUTT(7)) AND (NOT IINPUT(105) OR INPUTT(8)) AND 
               (NOT IINPUT(114) OR INPUTT(9)) AND (NOT IINPUT(122) OR INPUTT(10)) AND 
               (NOT IINPUT(129) OR INPUTT(11))  AND (NOT IINPUT(135) OR INPUTT(12)) AND 
               (NOT IINPUT(140) OR INPUTT(13))  AND (NOT IINPUT(144) OR INPUTT(14)) AND 
               (IINPUT(148) OR INPUTT(16)) AND (IINPUT(149) OR INPUTT(17)) AND 
               (IINPUT(150) OR INPUTT(18)) AND NOT INPUTT(15) AND ZZERO(15);

OUTPUTT(16) <= (NOT IINPUT(15) OR INPUTT(1)) AND (NOT IINPUT(31) OR INPUTT(2)) AND 
               (NOT IINPUT(46) OR INPUTT(3)) AND (NOT IINPUT(60) OR INPUTT(4)) AND 
               (NOT IINPUT(73) OR INPUTT(5)) AND (NOT IINPUT(85) OR INPUTT(6))  AND 
               (NOT IINPUT(96) OR INPUTT(7)) AND (NOT IINPUT(106) OR INPUTT(8)) AND 
               (NOT IINPUT(115) OR INPUTT(9)) AND (NOT IINPUT(123) OR INPUTT(10)) AND 
               (NOT IINPUT(130) OR INPUTT(11)) AND (NOT IINPUT(136) OR INPUTT(12)) AND 
               (NOT IINPUT(141) OR INPUTT(13)) AND (NOT IINPUT(145) OR INPUTT(14)) AND 
               (NOT IINPUT(148) OR INPUTT(15)) AND (IINPUT(151) OR INPUTT(17)) AND 
               (IINPUT(152) OR INPUTT(18)) AND NOT INPUTT(16) AND ZZERO(16);

OUTPUTT(17) <= (NOT IINPUT(16) OR INPUTT(1)) AND (NOT IINPUT(32) OR INPUTT(2))  AND 
               (NOT IINPUT(47) OR INPUTT(3))  AND (NOT IINPUT(61) OR INPUTT(4)) AND 
               (NOT IINPUT(74) OR INPUTT(5)) AND (NOT IINPUT(86) OR INPUTT(6)) AND
               (NOT IINPUT(97) OR INPUTT(7)) AND (NOT IINPUT(107) OR INPUTT(8)) AND 
               (NOT IINPUT(116) OR INPUTT(9))  AND (NOT IINPUT(124) OR INPUTT(10)) AND 
               (NOT IINPUT(131) OR INPUTT(11)) AND (NOT IINPUT(137) OR INPUTT(12)) AND 
               (NOT IINPUT(142) OR INPUTT(13)) AND (NOT IINPUT(146) OR INPUTT(14)) AND
               (NOT IINPUT(149) OR INPUTT(15))  AND (NOT IINPUT(151) OR INPUTT(16)) AND 
               (IINPUT(153) OR INPUTT(18)) AND NOT INPUTT(17) AND ZZERO(17);

OUTPUTT(18) <= (NOT IINPUT(17) OR INPUTT(1))  AND (NOT IINPUT(33) OR INPUTT(2)) AND 
               (NOT IINPUT(48) OR INPUTT(3)) AND (NOT IINPUT(62) OR INPUTT(4)) AND 
               (NOT IINPUT(75) OR INPUTT(5))  AND (NOT IINPUT(87) OR INPUTT(6)) AND 
               (NOT IINPUT(98) OR INPUTT(7)) AND (NOT IINPUT(108) OR INPUTT(8)) AND 
               (NOT IINPUT(117) OR INPUTT(9)) AND (NOT IINPUT(125) OR INPUTT(10)) AND 
               (NOT IINPUT(132) OR INPUTT(11))  AND (NOT IINPUT(138) OR INPUTT(12)) AND 
               (NOT IINPUT(143) OR INPUTT(13))  AND (NOT IINPUT(147) OR INPUTT(14)) AND 
               (NOT IINPUT(150) OR INPUTT(15))  AND (NOT IINPUT(152) OR INPUTT(16)) AND 
               (NOT IINPUT(153) OR INPUTT(17)) AND NOT INPUTT(18) AND ZZERO(18);

END ARC;
