VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL DOUT(15:0)
        SIGNAL DIN(15:0)
        SIGNAL DOUT(0)
        SIGNAL DOUT(1)
        SIGNAL DOUT(2)
        SIGNAL DOUT(3)
        SIGNAL DOUT(4)
        SIGNAL DOUT(5)
        SIGNAL DOUT(6)
        SIGNAL DOUT(7)
        SIGNAL DIN(7)
        SIGNAL DIN(6)
        SIGNAL DIN(5)
        SIGNAL DIN(4)
        SIGNAL DIN(3)
        SIGNAL DIN(2)
        SIGNAL DIN(1)
        SIGNAL DIN(0)
        SIGNAL DOUT(8)
        SIGNAL DOUT(9)
        SIGNAL DOUT(10)
        SIGNAL DOUT(11)
        SIGNAL DOUT(12)
        SIGNAL DOUT(13)
        SIGNAL DOUT(14)
        SIGNAL DOUT(15)
        SIGNAL DIN(15)
        SIGNAL DIN(14)
        SIGNAL DIN(13)
        SIGNAL DIN(12)
        SIGNAL DIN(11)
        SIGNAL DIN(10)
        SIGNAL DIN(9)
        SIGNAL DIN(8)
        SIGNAL XLXN_41
        SIGNAL EN
        PORT Output DOUT(15:0)
        PORT Input DIN(15:0)
        PORT Input EN
        BEGIN BLOCKDEF bufe
            TIMESTAMP 2001 10 16 8 52 54
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 0 -96 64 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCK I15 bufe
            PIN E EN
            PIN I DIN(7)
            PIN O DOUT(7)
        END BLOCK
        BEGIN BLOCK I16 bufe
            PIN E EN
            PIN I DIN(6)
            PIN O DOUT(6)
        END BLOCK
        BEGIN BLOCK I17 bufe
            PIN E EN
            PIN I DIN(5)
            PIN O DOUT(5)
        END BLOCK
        BEGIN BLOCK I18 bufe
            PIN E EN
            PIN I DIN(4)
            PIN O DOUT(4)
        END BLOCK
        BEGIN BLOCK I19 bufe
            PIN E EN
            PIN I DIN(3)
            PIN O DOUT(3)
        END BLOCK
        BEGIN BLOCK I20 bufe
            PIN E EN
            PIN I DIN(2)
            PIN O DOUT(2)
        END BLOCK
        BEGIN BLOCK I21 bufe
            PIN E EN
            PIN I DIN(1)
            PIN O DOUT(1)
        END BLOCK
        BEGIN BLOCK I22 bufe
            PIN E EN
            PIN I DIN(0)
            PIN O DOUT(0)
        END BLOCK
        BEGIN BLOCK XLXI_9 bufe
            PIN E EN
            PIN I DIN(15)
            PIN O DOUT(15)
        END BLOCK
        BEGIN BLOCK XLXI_10 bufe
            PIN E EN
            PIN I DIN(14)
            PIN O DOUT(14)
        END BLOCK
        BEGIN BLOCK XLXI_11 bufe
            PIN E EN
            PIN I DIN(13)
            PIN O DOUT(13)
        END BLOCK
        BEGIN BLOCK XLXI_12 bufe
            PIN E EN
            PIN I DIN(12)
            PIN O DOUT(12)
        END BLOCK
        BEGIN BLOCK XLXI_13 bufe
            PIN E EN
            PIN I DIN(11)
            PIN O DOUT(11)
        END BLOCK
        BEGIN BLOCK XLXI_14 bufe
            PIN E EN
            PIN I DIN(10)
            PIN O DOUT(10)
        END BLOCK
        BEGIN BLOCK XLXI_15 bufe
            PIN E EN
            PIN I DIN(9)
            PIN O DOUT(9)
        END BLOCK
        BEGIN BLOCK XLXI_16 bufe
            PIN E EN
            PIN I DIN(8)
            PIN O DOUT(8)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE I15 416 1200 R0
        INSTANCE I16 416 1056 R0
        INSTANCE I17 416 896 R0
        INSTANCE I18 416 752 R0
        INSTANCE I19 416 624 R0
        INSTANCE I20 416 464 R0
        INSTANCE I21 416 304 R0
        INSTANCE I22 416 160 R0
        BEGIN BRANCH DOUT(15:0)
            WIRE 368 1312 880 1312
        END BRANCH
        IOMARKER 880 1312 DOUT(15:0)
        BEGIN BRANCH DIN(15:0)
            WIRE 304 1248 864 1248
        END BRANCH
        IOMARKER 304 1248 DIN(15:0)
        BEGIN BRANCH DOUT(0)
            WIRE 640 128 704 128
            DISPLAY 704 128 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(1)
            WIRE 640 272 704 272
            DISPLAY 704 272 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(2)
            WIRE 640 432 704 432
            DISPLAY 704 432 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(3)
            WIRE 640 592 704 592
            DISPLAY 704 592 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(4)
            WIRE 640 720 704 720
            DISPLAY 704 720 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(5)
            WIRE 640 864 704 864
            DISPLAY 704 864 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(6)
            WIRE 640 1024 704 1024
            DISPLAY 704 1024 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(7)
            WIRE 640 1168 704 1168
            DISPLAY 704 1168 ATTR Name
        END BRANCH
        BEGIN BRANCH DIN(7)
            WIRE 352 1168 416 1168
            BEGIN DISPLAY 352 1168 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(6)
            WIRE 352 1024 416 1024
            BEGIN DISPLAY 352 1024 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(5)
            WIRE 352 864 416 864
            BEGIN DISPLAY 352 864 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(4)
            WIRE 352 720 416 720
            BEGIN DISPLAY 352 720 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(3)
            WIRE 352 592 416 592
            BEGIN DISPLAY 352 592 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(2)
            WIRE 352 432 416 432
            BEGIN DISPLAY 352 432 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(1)
            WIRE 352 272 416 272
            BEGIN DISPLAY 352 272 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(0)
            WIRE 352 128 416 128
            BEGIN DISPLAY 352 128 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_9 1072 1200 R0
        INSTANCE XLXI_10 1072 1056 R0
        INSTANCE XLXI_11 1072 896 R0
        INSTANCE XLXI_12 1072 752 R0
        INSTANCE XLXI_13 1072 624 R0
        INSTANCE XLXI_14 1072 464 R0
        INSTANCE XLXI_15 1072 304 R0
        INSTANCE XLXI_16 1072 160 R0
        BEGIN BRANCH DOUT(8)
            WIRE 1296 128 1360 128
            DISPLAY 1360 128 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(9)
            WIRE 1296 272 1360 272
            DISPLAY 1360 272 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(10)
            WIRE 1296 432 1360 432
            DISPLAY 1360 432 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(11)
            WIRE 1296 592 1360 592
            DISPLAY 1360 592 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(12)
            WIRE 1296 720 1360 720
            DISPLAY 1360 720 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(13)
            WIRE 1296 864 1360 864
            DISPLAY 1360 864 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(14)
            WIRE 1296 1024 1360 1024
            DISPLAY 1360 1024 ATTR Name
        END BRANCH
        BEGIN BRANCH DOUT(15)
            WIRE 1296 1168 1360 1168
            DISPLAY 1360 1168 ATTR Name
        END BRANCH
        BEGIN BRANCH DIN(15)
            WIRE 1008 1168 1072 1168
            BEGIN DISPLAY 1008 1168 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(14)
            WIRE 1008 1024 1072 1024
            BEGIN DISPLAY 1008 1024 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(13)
            WIRE 1008 864 1072 864
            BEGIN DISPLAY 1008 864 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(12)
            WIRE 1008 720 1072 720
            BEGIN DISPLAY 1008 720 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(11)
            WIRE 1008 592 1072 592
            BEGIN DISPLAY 1008 592 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(10)
            WIRE 1008 432 1072 432
            BEGIN DISPLAY 1008 432 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(9)
            WIRE 1008 272 1072 272
            BEGIN DISPLAY 1008 272 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIN(8)
            WIRE 1008 128 1072 128
            BEGIN DISPLAY 1008 128 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EN
            WIRE 112 1104 224 1104
            WIRE 224 1104 416 1104
            WIRE 224 64 224 208
            WIRE 224 208 224 368
            WIRE 224 368 224 528
            WIRE 224 528 224 656
            WIRE 224 656 224 800
            WIRE 224 800 416 800
            WIRE 224 800 224 928
            WIRE 224 928 224 960
            WIRE 224 960 224 1104
            WIRE 224 960 416 960
            WIRE 224 928 864 928
            WIRE 864 928 864 960
            WIRE 864 960 864 1104
            WIRE 864 1104 1072 1104
            WIRE 864 960 1072 960
            WIRE 224 656 416 656
            WIRE 224 528 416 528
            WIRE 224 368 416 368
            WIRE 224 208 416 208
            WIRE 224 64 416 64
            WIRE 864 64 864 208
            WIRE 864 208 864 368
            WIRE 864 368 864 528
            WIRE 864 528 864 656
            WIRE 864 656 864 800
            WIRE 864 800 1072 800
            WIRE 864 800 864 928
            WIRE 864 656 1072 656
            WIRE 864 528 1072 528
            WIRE 864 368 1072 368
            WIRE 864 208 1072 208
            WIRE 864 64 1072 64
        END BRANCH
        IOMARKER 112 1104 EN
    END SHEET
END SCHEMATIC
