----------------------------------------------------------------------
-- This file is owned and controlled by Xilinx and must be used     --
-- solely for design, simulation, implementation and creation of    --
-- design files limited to Xilinx devices or technologies. Use      --
-- with non-Xilinx devices or technologies is expressly prohibited  --
-- and immediately terminates your license.                         --
--                                                                  --
-- Xilinx products are not intended for use in life support         --
-- appliances, devices, or systems. Use in such applications are    --
-- expressly prohibited.                                            --
--                                                                  --
-- Copyright (C) 2001, Xilinx, Inc.  All Rights Reserved.           --
----------------------------------------------------------------------

-- You must compile the wrapper file band16.vhd when simulating
-- the core, band16. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "Coregen Users Guide".

-- The synopsys directives "translate_off/translate_on" specified
-- below are supported by XST, FPGA Express, Exemplar and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

Library XilinxCoreLib;
ENTITY band16 IS
	port (
	I: IN std_logic_VECTOR(15 downto 0);
	CTRL: IN std_logic;
	O: OUT std_logic_VECTOR(15 downto 0));
END band16;

ARCHITECTURE band16_a OF band16 IS

component wrapped_band16
	port (
	I: IN std_logic_VECTOR(15 downto 0);
	CTRL: IN std_logic;
	O: OUT std_logic_VECTOR(15 downto 0));
end component;

-- Configuration specification 
	for all : wrapped_band16 use entity XilinxCoreLib.C_GATE_BIT_BUS_V4_0(behavioral)
		generic map(
			c_has_ainit => 0,
			c_input_inv_mask => "0000000000000000",
			c_sync_enable => 0,
			c_has_sinit => 0,
			c_has_q => 0,
			c_gate_type => 0,
			c_has_sset => 0,
			c_has_o => 1,
			c_width => 16,
			c_has_sclr => 0,
			c_sinit_val => "0000000000000000",
			c_has_aset => 0,
			c_has_aclr => 0,
			c_sync_priority => 1,
			c_enable_rlocs => 1,
			c_has_ce => 0,
			c_ainit_val => "0000000000000000");
BEGIN

U0 : wrapped_band16
		port map (
			I => I,
			CTRL => CTRL,
			O => O);
END band16_a;

-- synopsys translate_on

