LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

ENTITY ENCODER3 IS

	PORT(

    CNT   : IN STD_LOGIC_VECTOR (15 downto 0);

    LINKA : OUT STD_LOGIC_VECTOR (18 downto 1);
    LINKB : OUT STD_LOGIC_VECTOR (18 downto 1);
    LINKC : OUT STD_LOGIC_VECTOR (18 downto 1)
 );

END ENTITY ENCODER3;

ARCHITECTURE ARC  OF ENCODER3 IS

BEGIN

LINKA(1) <= CNT(1) AND NOT CNT(2) AND NOT CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(2) <= NOT CNT(1) AND CNT(2) AND NOT CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(3) <= CNT(1) AND CNT(2) AND NOT CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(4) <= NOT CNT(1) AND NOT CNT(2) AND CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(5) <= CNT(1) AND NOT CNT(2) AND CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(6) <= NOT CNT(1) AND CNT(2) AND CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(7) <= CNT(1) AND CNT(2) AND CNT(3) AND NOT CNT(4) AND NOT CNT(5); 
LINKA(8) <= NOT CNT(1) AND NOT CNT(2) AND NOT CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(9) <= CNT(1) AND NOT CNT(2) AND NOT CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(10) <= NOT CNT(1) AND CNT(2) AND NOT CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(11) <= CNT(1) AND CNT(2) AND NOT CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(12) <= NOT CNT(1) AND NOT CNT(2) AND CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(13) <= CNT(1) AND NOT CNT(2) AND CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(14) <= NOT CNT(1) AND CNT(2) AND CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(15) <= CNT(1) AND CNT(2) AND CNT(3) AND CNT(4) AND NOT CNT(5); 
LINKA(16) <= NOT CNT(1) AND NOT CNT(2) AND NOT CNT(3) AND NOT CNT(4) AND CNT(5); 
LINKA(17) <= CNT(1) AND NOT CNT(2) AND NOT CNT(3) AND NOT CNT(4) AND CNT(5); 
LINKA(18) <= NOT CNT(1) AND CNT(2) AND NOT CNT(3) AND NOT CNT(4) AND CNT(5); 

LINKB(1) <= CNT(6) AND NOT CNT(7) AND NOT CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(2) <= NOT CNT(6) AND CNT(7) AND NOT CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(3) <= CNT(6) AND CNT(7) AND NOT CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(4) <= NOT CNT(6) AND NOT CNT(7) AND CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(5) <= CNT(6) AND NOT CNT(7) AND CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(6) <= NOT CNT(6) AND CNT(7) AND CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(7) <= CNT(6) AND CNT(7) AND CNT(8) AND NOT CNT(9) AND NOT CNT(10); 
LINKB(8) <= NOT CNT(6) AND NOT CNT(7) AND NOT CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(9) <= CNT(6) AND NOT CNT(7) AND NOT CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(10) <= NOT CNT(6) AND CNT(7) AND NOT CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(11) <= CNT(6) AND CNT(7) AND NOT CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(12) <= NOT CNT(6) AND NOT CNT(7) AND CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(13) <= CNT(6) AND NOT CNT(7) AND CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(14) <= NOT CNT(6) AND CNT(7) AND CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(15) <= CNT(6) AND CNT(7) AND CNT(8) AND CNT(9) AND NOT CNT(10); 
LINKB(16) <= NOT CNT(6) AND NOT CNT(7) AND NOT CNT(8) AND NOT CNT(9) AND CNT(10); 
LINKB(17) <= CNT(6) AND NOT CNT(7) AND NOT CNT(8) AND NOT CNT(9) AND CNT(10); 
LINKB(18) <= NOT CNT(6) AND CNT(7) AND NOT CNT(8) AND NOT CNT(9) AND CNT(10); 

LINKC(1) <= CNT(11) AND NOT CNT(12) AND NOT CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(2) <= NOT CNT(11) AND CNT(12) AND NOT CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(3) <= CNT(11) AND CNT(12) AND NOT CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(4) <= NOT CNT(11) AND NOT CNT(12) AND CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(5) <= CNT(11) AND NOT CNT(12) AND CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(6) <= NOT CNT(11) AND CNT(12) AND CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(7) <= CNT(11) AND CNT(12) AND CNT(13) AND NOT CNT(14) AND NOT CNT(15); 
LINKC(8) <= NOT CNT(11) AND NOT CNT(12) AND NOT CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(9) <= CNT(11) AND NOT CNT(12) AND NOT CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(10) <= NOT CNT(11) AND CNT(12) AND NOT CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(11) <= CNT(11) AND CNT(12) AND NOT CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(12) <= NOT CNT(11) AND NOT CNT(12) AND CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(13) <= CNT(11) AND NOT CNT(12) AND CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(14) <= NOT CNT(11) AND CNT(12) AND CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(15) <= CNT(11) AND CNT(12) AND CNT(13) AND CNT(14) AND NOT CNT(15); 
LINKC(16) <= NOT CNT(11) AND NOT CNT(12) AND NOT CNT(13) AND NOT CNT(14) AND CNT(15); 
LINKC(17) <= CNT(11) AND NOT CNT(12) AND NOT CNT(13) AND NOT CNT(14) AND CNT(15); 
LINKC(18) <= NOT CNT(11) AND CNT(12) AND NOT CNT(13) AND NOT CNT(14) AND CNT(15); 

END ARC;
