library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity logic is 

    Port ( 
		 INA : in std_logic_vector(10 downto 0);
		 INB : in std_logic_vector(10 downto 0);
		 INC : in std_logic_vector(13 downto 0);
		 IND : in std_logic_vector(5 downto 0);
		 INE : in std_logic_vector(20 downto 0);
		 INF : in std_logic_vector(20 downto 0);
		 ING : in std_logic_vector(20 downto 0);
		 INH : in std_logic_vector(20 downto 0);
		 INI : in std_logic_vector(20 downto 0);
		 INJ : in std_logic_vector(14 downto 0);
		 INK : in std_logic_vector(17 downto 0);
		 INL : in std_logic_vector(10 downto 0);
		 INM : in std_logic_vector(20 downto 0);
		 INN : in std_logic_vector(20 downto 0);
		 INP : in std_logic_vector(20 downto 0);
		 INPUTA : in std_logic;
		 INPUTB : in std_logic;
		 INPUTC : in std_logic;
		 
 		 OUTA : out std_logic);
		
end logic;

architecture ARC  of logic is

BEGIN

OUTA <= INA(10) AND INA(9) AND INA(8) AND INA(7) AND INA(6) AND INA(5) AND INA(4) AND INA(3) AND
        INA(2) AND INA(1) AND INA(0) AND

	   INB(10) AND INB(9) AND INB(8) AND INB(7) AND INB(6) AND INB(5) AND INB(4) AND INB(3) AND
        INB(2) AND INB(1) AND INB(0) AND

        INC(13) AND INC(12) AND INC(11) AND INC(10) AND INC(9) AND INC(8) AND INC(7) AND INC(6) AND
	   INC(5) AND INC(4) AND INC(3) AND INC(2) AND INC(1) AND INC(0) AND

	   IND(5) AND IND(4) AND IND(3) AND IND(2) AND IND(1) AND IND(0) AND

	   INE(20) AND INE(19) AND INE(18) AND INE(17) AND INE(16) AND INE(15) AND INE(14) AND INE(13) AND
	   INE(12) AND INE(11) AND INE(10) AND INE(9) AND INE(8) AND INE(7) AND INE(6) AND INE(5) AND
	   INE(4) AND INE(3) AND INE(2) AND INE(1) AND INE(0) AND

        INF(20) AND INF(19) AND INF(18) AND INF(17) AND INF(16) AND INF(15) AND INF(14) AND INF(13) AND
	   INF(12) AND INF(11) AND INF(10) AND INF(9) AND INF(8) AND INF(7) AND INF(6) AND INF(5) AND
	   INF(4) AND INF(3) AND INF(2) AND INF(1) AND INF(0) AND

	   ING(20) AND ING(19) AND ING(18) AND ING(17) AND ING(16) AND ING(15) AND ING(14) AND ING(13) AND
	   ING(12) AND ING(11) AND ING(10) AND ING(9) AND ING(8) AND ING(7) AND ING(6) AND ING(5) AND
	   ING(4) AND ING(3) AND ING(2) AND ING(1) AND ING(0) AND

	   INH(20) AND INH(19) AND INH(18) AND INH(17) AND INH(16) AND INH(15) AND INH(14) AND INH(13) AND
	   INH(12) AND INH(11) AND INH(10) AND INH(9) AND INH(8) AND INH(7) AND INH(6) AND INH(5) AND
	   INH(4) AND INH(3) AND INH(2) AND INH(1) AND INH(0) AND

	   INI(20) AND INI(19) AND INI(18) AND INI(17) AND INI(16) AND INI(15) AND INI(14) AND INI(13) AND
	   INI(12) AND INI(11) AND INI(10) AND INI(9) AND INI(8) AND INI(7) AND INI(6) AND INI(5) AND
	   INI(4) AND INI(3) AND INI(2) AND INI(1) AND INI(0) AND

  	   INL(10) AND INL(9) AND INL(8) AND INL(7) AND INL(6) AND INL(5) AND
	   INL(4) AND INL(3) AND INL(2) AND INL(1) AND INL(0) AND

	   INM(20) AND INM(19) AND INM(18) AND INM(17) AND INM(16) AND INM(15) AND INM(14) AND INM(13) AND
	   INM(12) AND INM(11) AND INM(10) AND INM(9) AND INM(8) AND INM(7) AND INM(6) AND INM(5) AND
	   INM(4) AND INM(3) AND INM(2) AND INM(1) AND INM(0) AND

	   INN(20) AND INN(19) AND INN(18) AND INN(17) AND INN(16) AND INN(15) AND INN(14) AND INN(13) AND
	   INN(12) AND INN(11) AND INN(10) AND INN(9) AND INN(8) AND INN(7) AND INN(6) AND INN(5) AND
	   INN(4) AND INN(3) AND INN(2) AND INN(1) AND INN(0) AND

 	   INP(20) AND INP(19) AND INP(18) AND INP(17) AND INP(16) AND INP(15) AND INP(14) AND INP(13) AND
	   INP(12) AND INP(11) AND INP(10) AND INP(9) AND INP(8) AND INP(7) AND INP(6) AND INP(5) AND
	   INP(4) AND INP(3) AND INP(2) AND INP(1) AND INP(0) AND

        INJ(14) AND INJ(13) AND
	   INJ(12) AND INJ(11) AND INJ(10) AND INJ(9) AND INJ(8) AND INJ(7) AND INJ(6) AND INJ(5) AND
	   INJ(4) AND INJ(3) AND INJ(2) AND INJ(1) AND INJ(0) AND

        INK(17) AND INK(16) AND INK(15) AND INK(14) AND INK(13) AND
	   INK(12) AND INK(11) AND INK(10) AND INK(9) AND INK(8) AND INK(7) AND INK(6) AND INK(5) AND
	   INK(4) AND INK(3) AND INK(2) AND INK(1) AND INK(0) AND

        INPUTA AND INPUTB AND INPUTC;

end ARC;
