----------------------------------------------------------------------
-- This file is owned and controlled by Xilinx and must be used     --
-- solely for design, simulation, implementation and creation of    --
-- design files limited to Xilinx devices or technologies. Use      --
-- with non-Xilinx devices or technologies is expressly prohibited  --
-- and immediately terminates your license.                         --
--                                                                  --
-- Xilinx products are not intended for use in life support         --
-- appliances, devices, or systems. Use in such applications are    --
-- expressly prohibited.                                            --
--                                                                  --
-- Copyright (C) 2001, Xilinx, Inc.  All Rights Reserved.           --
----------------------------------------------------------------------

-- You must compile the wrapper file muxtri8.vhd when simulating
-- the core, muxtri8. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "Coregen Users Guide".

-- The synopsys directives "translate_off/translate_on" specified
-- below are supported by XST, FPGA Express, Exemplar and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

Library XilinxCoreLib;
ENTITY muxtri8 IS
	port (
	T: IN std_logic;
	I: IN std_logic_VECTOR(7 downto 0);
	O: OUT std_logic_VECTOR(7 downto 0));
END muxtri8;

ARCHITECTURE muxtri8_a OF muxtri8 IS

component wrapped_muxtri8
	port (
	T: IN std_logic;
	I: IN std_logic_VECTOR(7 downto 0);
	O: OUT std_logic_VECTOR(7 downto 0));
end component;

-- Configuration specification 
	for all : wrapped_muxtri8 use entity XilinxCoreLib.C_MUX_SLICE_BUFT_V4_0(behavioral)
		generic map(
			c_width => 8);
BEGIN

U0 : wrapped_muxtri8
		port map (
			T => T,
			I => I,
			O => O);
END muxtri8_a;

-- synopsys translate_on

