LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

ENTITY SELECT3 IS

	PORT(
	IIINPUT		: IN STD_LOGIC_VECTOR (153 downto 1);
        INPUTTA          : IN STD_LOGIC_VECTOR (18 downto 1);
        INPUTTT         : IN STD_LOGIC_VECTOR (18 downto 1);
        ZZZERO          : IN STD_LOGIC_VECTOR (18 downto 1);
        OUTPUTTT       	: OUT STD_LOGIC_VECTOR (18 downto 1)
 );

END ENTITY SELECT3;

ARCHITECTURE ARC  OF SELECT3 IS

BEGIN

OUTPUTTT(1) <= (IIINPUT(1) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (IIINPUT(2) OR INPUTTA(3) OR INPUTTT(3)) AND 
              (IIINPUT(3) OR INPUTTA(4) OR INPUTTT(4)) AND 
              (IIINPUT(4) OR INPUTTA(5) OR INPUTTT(5)) AND 
              (IIINPUT(5) OR INPUTTA(6) OR INPUTTT(6)) AND 
              (IIINPUT(6) OR INPUTTA(7) OR INPUTTT(7)) AND
              (IIINPUT(7) OR INPUTTA(8) OR INPUTTT(8)) AND
              (IIINPUT(8) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(9) OR INPUTTA(10) OR INPUTTT(10)) AND 
              (IIINPUT(10) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(11) OR INPUTTA(12) OR INPUTTT(12)) AND
              (IIINPUT(12) OR INPUTTA(13) OR INPUTTT(13)) AND
              (IIINPUT(13) OR INPUTTA(14) OR INPUTTT(14)) AND 
              (IIINPUT(14) OR INPUTTA(15) OR INPUTTT(15)) AND 
              (IIINPUT(15) OR INPUTTA(16) OR INPUTTT(16)) AND
              (IIINPUT(16) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(17) OR INPUTTA(18) OR INPUTTT(18)) AND 
              NOT INPUTTA(1) AND NOT INPUTTT(1) AND ZZZERO(1);

OUTPUTTT(2) <= (NOT IIINPUT(1) OR INPUTTA(1) OR INPUTTT(1)) AND
               (IIINPUT(18) OR INPUTTA(3) OR INPUTTT(3)) AND 
              (IIINPUT(19) OR INPUTTA(4) OR INPUTTT(4)) AND 
              (IIINPUT(20) OR INPUTTA(5) OR INPUTTT(5)) AND
              (IIINPUT(21) OR INPUTTA(6) OR INPUTTT(6)) AND
              (IIINPUT(22) OR INPUTTA(7) OR INPUTTT(7)) AND 
              (IIINPUT(23) OR INPUTTA(8) OR INPUTTT(8)) AND 
              (IIINPUT(24) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(25) OR INPUTTA(10) OR INPUTTT(10)) AND 
              (IIINPUT(26) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(27) OR INPUTTA(12) OR INPUTTT(12)) AND
              (IIINPUT(28) OR INPUTTA(13) OR INPUTTT(13)) AND 
              (IIINPUT(29) OR INPUTTA(14) OR INPUTTT(14)) AND
              (IIINPUT(30) OR INPUTTA(15) OR INPUTTT(15)) AND
              (IIINPUT(31) OR INPUTTA(16) OR INPUTTT(16)) AND 
              (IIINPUT(32) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(33) OR INPUTTA(18) OR INPUTTT(18)) AND
              NOT INPUTTA(2) AND NOT INPUTTT(2) AND ZZZERO(2);

OUTPUTTT(3) <= (NOT IIINPUT(2) OR INPUTTA(1) OR INPUTTT(1)) AND 
              (NOT IIINPUT(18) OR INPUTTA(2) OR INPUTTT(2)) AND
              (IIINPUT(34) OR INPUTTA(4) OR INPUTTT(4)) AND
              (IIINPUT(35) OR INPUTTA(5) OR INPUTTT(5)) AND 
              (IIINPUT(36) OR INPUTTA(6) OR INPUTTT(6)) AND
               (IIINPUT(37) OR INPUTTA(7) OR INPUTTT(7)) AND 
              (IIINPUT(38) OR INPUTTA(8) OR INPUTTT(8)) AND
              (IIINPUT(39) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(40) OR INPUTTA(10) OR INPUTTT(10)) AND
              (IIINPUT(41) OR INPUTTA(11) OR INPUTTT(11)) AND
              (IIINPUT(42) OR INPUTTA(12) OR INPUTTT(12)) AND 
              (IIINPUT(43) OR INPUTTA(13) OR INPUTTT(13)) AND 
              (IIINPUT(44) OR INPUTTA(14) OR INPUTTT(14)) AND  
              (IIINPUT(45) OR INPUTTA(15) OR INPUTTT(15)) AND 
              (IIINPUT(46) OR INPUTTA(16) OR INPUTTT(16)) AND 
              (IIINPUT(47) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(48) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(3) AND NOT INPUTTT(3) AND ZZZERO(3);

OUTPUTTT(4) <= (NOT IIINPUT(3) OR INPUTTA(1) OR INPUTTT(1)) AND 
              (NOT IIINPUT(19) OR INPUTTA(2) OR INPUTTT(2)) AND 
              (NOT IIINPUT(34) OR INPUTTA(3) OR INPUTTT(3)) AND
              (IIINPUT(49) OR INPUTTA(5) OR INPUTTT(5)) AND 
              (IIINPUT(50) OR INPUTTA(6) OR INPUTTT(6))  AND 
              (IIINPUT(51) OR INPUTTA(7) OR INPUTTT(7)) AND 
              (IIINPUT(52) OR INPUTTA(8) OR INPUTTT(8))  AND 
              (IIINPUT(53) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(54) OR INPUTTA(10) OR INPUTTT(10))  AND 
              (IIINPUT(55) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(56) OR INPUTTA(12) OR INPUTTT(12))  AND 
              (IIINPUT(57) OR INPUTTA(13) OR INPUTTT(13)) AND
              (IIINPUT(58) OR INPUTTA(14) OR INPUTTT(14)) AND
               (IIINPUT(59) OR INPUTTA(15) OR INPUTTT(15))  AND 
              (IIINPUT(60) OR INPUTTA(16) OR INPUTTT(16)) AND
              (IIINPUT(61) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(62) OR INPUTTA(18) OR INPUTTT(18)) AND
              NOT INPUTTA(4) AND NOT INPUTTT(4) AND ZZZERO(4);

OUTPUTTT(5) <= (NOT IIINPUT(4) OR INPUTTA(1) OR INPUTTT(1)) AND 
              (NOT IIINPUT(20) OR INPUTTA(2) OR INPUTTT(2)) AND
              (NOT IIINPUT(35) OR INPUTTA(3) OR INPUTTT(3)) AND
              (NOT IIINPUT(49) OR INPUTTA(4) OR INPUTTT(4)) AND
              (IIINPUT(63) OR INPUTTA(6) OR INPUTTT(6))  AND
              (IIINPUT(64) OR INPUTTA(7) OR INPUTTT(7)) AND 
              (IIINPUT(65) OR INPUTTA(8) OR INPUTTT(8))  AND
              (IIINPUT(66) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(67) OR INPUTTA(10) OR INPUTTT(10)) AND 
              (IIINPUT(68) OR INPUTTA(11) OR INPUTTT(11)) AND
              (IIINPUT(69) OR INPUTTA(12) OR INPUTTT(12)) AND 
              (IIINPUT(70) OR INPUTTA(13) OR INPUTTT(13)) AND 
              (IIINPUT(71) OR INPUTTA(14) OR INPUTTT(14)) AND 
              (IIINPUT(72) OR INPUTTA(15) OR INPUTTT(15)) AND
              (IIINPUT(73) OR INPUTTA(16) OR INPUTTT(16)) AND
              (IIINPUT(74) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(75) OR INPUTTA(18) OR INPUTTT(18)) AND 
              NOT INPUTTA(5) AND NOT INPUTTT(5) AND ZZZERO(5);

OUTPUTTT(6) <= (NOT IIINPUT(5) OR INPUTTA(1) OR INPUTTT(1)) AND 
              (NOT IIINPUT(21) OR INPUTTA(2) OR INPUTTT(2))  AND 
              (NOT IIINPUT(36) OR INPUTTA(3) OR INPUTTT(3))  AND 
              (NOT IIINPUT(50) OR INPUTTA(4) OR INPUTTT(4)) AND 
              (NOT IIINPUT(63) OR INPUTTA(5) OR INPUTTT(5)) AND
                (IIINPUT(76) OR INPUTTA(7) OR INPUTTT(7)) AND 
              (IIINPUT(77) OR INPUTTA(8) OR INPUTTT(8)) AND
              (IIINPUT(78) OR INPUTTA(9) OR INPUTTT(9)) AND
              (IIINPUT(79) OR INPUTTA(10) OR INPUTTT(10)) AND
              (IIINPUT(80) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(81) OR INPUTTA(12) OR INPUTTT(12))  AND
              (IIINPUT(82) OR INPUTTA(13) OR INPUTTT(13))  AND 
              (IIINPUT(83) OR INPUTTA(14) OR INPUTTT(14)) AND
              (IIINPUT(84) OR INPUTTA(15) OR INPUTTT(15)) AND 
              (IIINPUT(85) OR INPUTTA(16) OR INPUTTT(16)) AND
              (IIINPUT(86) OR INPUTTA(17) OR INPUTTT(17)) AND
              (IIINPUT(87) OR INPUTTA(18) OR INPUTTT(18)) AND
               NOT INPUTTA(6) AND NOT INPUTTT(6) AND ZZZERO(6);
 
OUTPUTTT(7) <= (NOT IIINPUT(6) OR INPUTTA(1) OR INPUTTT(1)) AND
               (NOT IIINPUT(22) OR INPUTTA(2) OR INPUTTT(2)) AND
              (NOT IIINPUT(37) OR INPUTTA(3) OR INPUTTT(3)) AND
              (NOT IIINPUT(51) OR INPUTTA(4) OR INPUTTT(4)) AND 
              (NOT IIINPUT(64) OR INPUTTA(5) OR INPUTTT(5)) AND
               (NOT IIINPUT(76) OR INPUTTA(6) OR INPUTTT(6))  AND
              (IIINPUT(88) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (IIINPUT(89) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(90) OR INPUTTA(10) OR INPUTTT(10)) AND 
              (IIINPUT(91) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(92) OR INPUTTA(12) OR INPUTTT(12)) AND
              (IIINPUT(93) OR INPUTTA(13) OR INPUTTT(13)) AND
              (IIINPUT(94) OR INPUTTA(14) OR INPUTTT(14))  AND 
              (IIINPUT(95) OR INPUTTA(15) OR INPUTTT(15)) AND 
              (IIINPUT(96) OR INPUTTA(16) OR INPUTTT(16))  AND
              (IIINPUT(97) OR INPUTTA(17) OR INPUTTT(17)) AND
              (IIINPUT(98) OR INPUTTA(18) OR INPUTTT(18)) AND 
              NOT INPUTTA(7) AND NOT INPUTTT(7) AND ZZZERO(7);
             
OUTPUTTT(8) <= (NOT IIINPUT(7) OR INPUTTA(1) OR INPUTTT(1))  AND 
              (NOT IIINPUT(23) OR INPUTTA(2) OR INPUTTT(2)) AND
              (NOT IIINPUT(38) OR INPUTTA(3) OR INPUTTT(3)) AND
              (NOT IIINPUT(52) OR INPUTTA(4) OR INPUTTT(4)) AND 
              (NOT IIINPUT(65) OR INPUTTA(5) OR INPUTTT(5)) AND 
              (NOT IIINPUT(77) OR INPUTTA(6) OR INPUTTT(6)) AND
              (NOT IIINPUT(88) OR INPUTTA(7) OR INPUTTT(7))  AND 
              (IIINPUT(99) OR INPUTTA(9) OR INPUTTT(9)) AND 
              (IIINPUT(100) OR INPUTTA(10) OR INPUTTT(10)) AND
              (IIINPUT(101) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(102) OR INPUTTA(12) OR INPUTTT(12)) AND
              (IIINPUT(103) OR INPUTTA(13) OR INPUTTT(13)) AND 
              (IIINPUT(104) OR INPUTTA(14) OR INPUTTT(14)) AND 
              (IIINPUT(105)  OR INPUTTA(15) OR INPUTTT(15)) AND 
              (IIINPUT(106) OR INPUTTA(16) OR INPUTTT(16))  AND
              (IIINPUT(107) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(108) OR INPUTTA(18) OR INPUTTT(18)) AND 
              NOT INPUTTA(8) AND NOT INPUTTT(8) AND ZZZERO(8);
             
OUTPUTTT(9) <= (NOT IIINPUT(8) OR INPUTTA(1) OR INPUTTT(1)) AND
               (NOT IIINPUT(24) OR INPUTTA(2) OR INPUTTT(2)) AND 
              (NOT IIINPUT(39) OR INPUTTA(3) OR INPUTTT(3)) AND 
              (NOT IIINPUT(53) OR INPUTTA(4) OR INPUTTT(4)) AND 
              (NOT IIINPUT(66) OR INPUTTA(5) OR INPUTTT(5)) AND 
              (NOT IIINPUT(78) OR INPUTTA(6) OR INPUTTT(6)) AND 
              (NOT IIINPUT(89) OR INPUTTA(7) OR INPUTTT(7)) AND
              (NOT IIINPUT(99) OR INPUTTA(8) OR INPUTTT(8)) AND 
              (IIINPUT(109) OR INPUTTA(10) OR INPUTTT(10)) AND 
              (IIINPUT(110) OR INPUTTA(11) OR INPUTTT(11)) AND 
              (IIINPUT(111) OR INPUTTA(12) OR INPUTTT(12)) AND 
              (IIINPUT(112) OR INPUTTA(13) OR INPUTTT(13)) AND 
              (IIINPUT(113) OR INPUTTA(14) OR INPUTTT(14))  AND
              (IIINPUT(114) OR INPUTTA(15) OR INPUTTT(15)) AND 
              (IIINPUT(115) OR INPUTTA(16) OR INPUTTT(16)) AND
              (IIINPUT(116) OR INPUTTA(17) OR INPUTTT(17)) AND 
              (IIINPUT(117) OR INPUTTA(18) OR INPUTTT(18)) AND
              NOT INPUTTA(9) AND NOT INPUTTT(9) AND ZZZERO(9);

OUTPUTTT(10) <= (NOT IIINPUT(9) OR INPUTTA(1) OR INPUTTT(1)) AND
               (NOT IIINPUT(25) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(40) OR INPUTTA(3) OR INPUTTT(3)) AND
               (NOT IIINPUT(54) OR INPUTTA(4) OR INPUTTT(4))  AND 
               (NOT IIINPUT(67) OR INPUTTA(5) OR INPUTTT(5)) AND
               (NOT IIINPUT(79) OR INPUTTA(6) OR INPUTTT(6)) AND
               (NOT IIINPUT(90) OR INPUTTA(7) OR INPUTTT(7)) AND 
               (NOT IIINPUT(100) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(109) OR INPUTTA(9) OR INPUTTT(9)) AND 
               (IIINPUT(118) OR INPUTTA(11) OR INPUTTT(11)) AND 
               (IIINPUT(119) OR INPUTTA(12) OR INPUTTT(12)) AND
               (IIINPUT(120) OR INPUTTA(13) OR INPUTTT(13)) AND
               (IIINPUT(121) OR INPUTTA(14) OR INPUTTT(14)) AND
               (IIINPUT(122) OR INPUTTA(15) OR INPUTTT(15)) AND
               (IIINPUT(123) OR INPUTTA(16) OR INPUTTT(16))  AND 
               (IIINPUT(124) OR INPUTTA(17) OR INPUTTT(17)) AND
               (IIINPUT(125) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(10) AND NOT INPUTTT(10) AND ZZZERO(10);

OUTPUTTT(11) <= (NOT IIINPUT(10) OR INPUTTA(1) OR INPUTTT(1)) AND 
               (NOT IIINPUT(26) OR INPUTTA(2) OR INPUTTT(2)) AND
               (NOT IIINPUT(41) OR INPUTTA(3) OR INPUTTT(3))  AND 
               (NOT IIINPUT(55) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(68) OR INPUTTA(5) OR INPUTTT(5)) AND 
               (NOT IIINPUT(80) OR INPUTTA(6) OR INPUTTT(6)) AND 
               (NOT IIINPUT(91) OR INPUTTA(7) OR INPUTTT(7)) AND
               (NOT IIINPUT(101) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(110) OR INPUTTA(9) OR INPUTTT(9)) AND
               (NOT IIINPUT(118) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (IIINPUT(126) OR INPUTTA(12) OR INPUTTT(12)) AND
               (IIINPUT(127) OR INPUTTA(13) OR INPUTTT(13)) AND 
               (IIINPUT(128) OR INPUTTA(14) OR INPUTTT(14)) AND 
               (IIINPUT(129) OR INPUTTA(15) OR INPUTTT(15)) AND 
               (IIINPUT(130) OR INPUTTA(16) OR INPUTTT(16)) AND
               (IIINPUT(131) OR INPUTTA(17) OR INPUTTT(17)) AND 
               (IIINPUT(132) OR INPUTTA(18) OR INPUTTT(18)) AND
               NOT INPUTTA(11) AND NOT INPUTTT(11) AND ZZZERO(11);

OUTPUTTT(12) <= (NOT IIINPUT(11) OR INPUTTA(1) OR INPUTTT(1)) AND 
               (NOT IIINPUT(27) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(42) OR INPUTTA(3) OR INPUTTT(3)) AND 
               (NOT IIINPUT(56) OR INPUTTA(4) OR INPUTTT(4))  AND 
               (NOT IIINPUT(69) OR INPUTTA(5) OR INPUTTT(5)) AND
               (NOT IIINPUT(81) OR INPUTTA(6) OR INPUTTT(6)) AND 
               (NOT IIINPUT(92) OR INPUTTA(7) OR INPUTTT(7)) AND 
               (NOT IIINPUT(102) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(111) OR INPUTTA(9) OR INPUTTT(9)) AND 
               (NOT IIINPUT(119) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(126) OR INPUTTA(11) OR INPUTTT(11)) AND
               (IIINPUT(133) OR INPUTTA(13) OR INPUTTT(13)) AND 
               (IIINPUT(134) OR INPUTTA(14) OR INPUTTT(14)) AND 
               (IIINPUT(135) OR INPUTTA(15) OR INPUTTT(15)) AND 
               (IIINPUT(136) OR INPUTTA(16) OR INPUTTT(16)) AND
                (IIINPUT(137) OR INPUTTA(17) OR INPUTTT(17)) AND 
               (IIINPUT(138) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(12) AND NOT INPUTTT(12) AND ZZZERO(12);

OUTPUTTT(13) <= (NOT IIINPUT(12) OR INPUTTA(1) OR INPUTTT(1)) AND 
               (NOT IIINPUT(28) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(43) OR INPUTTA(3) OR INPUTTT(3)) AND 
               (NOT IIINPUT(57) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(70) OR INPUTTA(5) OR INPUTTT(5)) AND 
               (NOT IIINPUT(82) OR INPUTTA(6) OR INPUTTT(6)) AND
               (NOT IIINPUT(93) OR INPUTTA(7) OR INPUTTT(7)) AND
               (NOT IIINPUT(103) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(112) OR INPUTTA(9) OR INPUTTT(9)) AND 
               (NOT IIINPUT(120) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(127) OR INPUTTA(11) OR INPUTTT(11)) AND
               (NOT IIINPUT(133) OR INPUTTA(12) OR INPUTTT(12)) AND 
               (IIINPUT(139) OR INPUTTA(14) OR INPUTTT(14)) AND 
               (IIINPUT(140) OR INPUTTA(15) OR INPUTTT(15)) AND 
               (IIINPUT(141) OR INPUTTA(16) OR INPUTTT(16))  AND
                (IIINPUT(142) OR INPUTTA(17) OR INPUTTT(17)) AND 
               (IIINPUT(143) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(13) AND NOT INPUTTT(13) AND ZZZERO(13);

OUTPUTTT(14) <= (NOT IIINPUT(13) OR INPUTTA(1) OR INPUTTT(1)) AND
               (NOT IIINPUT(29) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(44) OR INPUTTA(3) OR INPUTTT(3)) AND
               (NOT IIINPUT(58) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(71) OR INPUTTA(5) OR INPUTTT(5)) AND
                (NOT IIINPUT(83) OR INPUTTA(6) OR INPUTTT(6)) AND 
               (NOT IIINPUT(94) OR INPUTTA(7) OR INPUTTT(7)) AND 
               (NOT IIINPUT(104) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(113) OR INPUTTA(9) OR INPUTTT(9)) AND 
               (NOT IIINPUT(121) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(128) OR INPUTTA(11) OR INPUTTT(11)) AND
               (NOT IIINPUT(134) OR INPUTTA(12) OR INPUTTT(12)) AND
               (NOT IIINPUT(139) OR INPUTTA(13) OR INPUTTT(13))  AND
               (IIINPUT(144) OR INPUTTA(15) OR INPUTTT(15)) AND 
               (IIINPUT(145) OR INPUTTA(16) OR INPUTTT(16)) AND
                (IIINPUT(146) OR INPUTTA(17) OR INPUTTT(17)) AND 
               (IIINPUT(147) OR INPUTTA(18) OR INPUTTT(18)) AND
               NOT INPUTTA(14) AND NOT INPUTTT(14) AND ZZZERO(14);

OUTPUTTT(15) <= (NOT IIINPUT(14) OR INPUTTA(1) OR INPUTTT(1)) AND
                (NOT IIINPUT(30) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(45) OR INPUTTA(3) OR INPUTTT(3))  AND 
               (NOT IIINPUT(59) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(72) OR INPUTTA(5) OR INPUTTT(5))  AND
               (NOT IIINPUT(84) OR INPUTTA(6) OR INPUTTT(6))  AND 
               (NOT IIINPUT(95) OR INPUTTA(7) OR INPUTTT(7)) AND 
               (NOT IIINPUT(105) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(114) OR INPUTTA(9) OR INPUTTT(9)) AND
               (NOT IIINPUT(122) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(129) OR INPUTTA(11) OR INPUTTT(11))  AND
               (NOT IIINPUT(135) OR INPUTTA(12) OR INPUTTT(12)) AND 
               (NOT IIINPUT(140) OR INPUTTA(13) OR INPUTTT(13))  AND
                (NOT IIINPUT(144) OR INPUTTA(14) OR INPUTTT(14)) AND 
               (IIINPUT(148) OR INPUTTA(16) OR INPUTTT(16)) AND 
                (IIINPUT(149) OR INPUTTA(17) OR INPUTTT(17)) AND 
               (IIINPUT(150) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(15) AND NOT INPUTTT(15) AND ZZZERO(15);

OUTPUTTT(16) <= (NOT IIINPUT(15) OR INPUTTA(1) OR INPUTTT(1)) AND 
                (NOT IIINPUT(31) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(46) OR INPUTTA(3) OR INPUTTT(3)) AND 
               (NOT IIINPUT(60) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(73) OR INPUTTA(5) OR INPUTTT(5)) AND 
               (NOT IIINPUT(85) OR INPUTTA(6) OR INPUTTT(6))  AND 
               (NOT IIINPUT(96) OR INPUTTA(7) OR INPUTTT(7)) AND
               (NOT IIINPUT(106) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(115) OR INPUTTA(9) OR INPUTTT(9)) AND 
               (NOT IIINPUT(123) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(130) OR INPUTTA(11) OR INPUTTT(11)) AND
               (NOT IIINPUT(136) OR INPUTTA(12) OR INPUTTT(12)) AND 
               (NOT IIINPUT(141) OR INPUTTA(13) OR INPUTTT(13)) AND
               (NOT IIINPUT(145) OR INPUTTA(14) OR INPUTTT(14)) AND 
               (NOT IIINPUT(148) OR INPUTTA(15) OR INPUTTT(15)) AND
               (IIINPUT(151) OR INPUTTA(17) OR INPUTTT(17)) AND 
               (IIINPUT(152) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(16) AND NOT INPUTTT(16) AND ZZZERO(16);

OUTPUTTT(17) <= (NOT IIINPUT(16) OR INPUTTA(1) OR INPUTTT(1)) AND
               (NOT IIINPUT(32) OR INPUTTA(2) OR INPUTTT(2))  AND 
               (NOT IIINPUT(47) OR INPUTTA(3) OR INPUTTT(3))  AND 
               (NOT IIINPUT(61) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(74) OR INPUTTA(5) OR INPUTTT(5)) AND
               (NOT IIINPUT(86) OR INPUTTA(6) OR INPUTTT(6)) AND
               (NOT IIINPUT(97) OR INPUTTA(7) OR INPUTTT(7)) AND 
               (NOT IIINPUT(107) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(116) OR INPUTTA(9) OR INPUTTT(9))  AND
                (NOT IIINPUT(124) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(131) OR INPUTTA(11) OR INPUTTT(11)) AND 
               (NOT IIINPUT(137) OR INPUTTA(12) OR INPUTTT(12)) AND 
               (NOT IIINPUT(142) OR INPUTTA(13) OR INPUTTT(13)) AND
               (NOT IIINPUT(146) OR INPUTTA(14) OR INPUTTT(14)) AND
               (NOT IIINPUT(149) OR INPUTTA(15) OR INPUTTT(15))  AND 
                (NOT IIINPUT(151) OR INPUTTA(16) OR INPUTTT(16)) AND 
               (IIINPUT(153) OR INPUTTA(18) OR INPUTTT(18)) AND 
               NOT INPUTTA(17) AND NOT INPUTTT(17) AND ZZZERO(17);

OUTPUTTT(18) <= (NOT IIINPUT(17) OR INPUTTA(1) OR INPUTTT(1))  AND 
                (NOT IIINPUT(33) OR INPUTTA(2) OR INPUTTT(2)) AND 
               (NOT IIINPUT(48) OR INPUTTA(3) OR INPUTTT(3)) AND 
               (NOT IIINPUT(62) OR INPUTTA(4) OR INPUTTT(4)) AND 
               (NOT IIINPUT(75) OR INPUTTA(5) OR INPUTTT(5))  AND
               (NOT IIINPUT(87) OR INPUTTA(6) OR INPUTTT(6)) AND 
               (NOT IIINPUT(98) OR INPUTTA(7) OR INPUTTT(7)) AND 
               (NOT IIINPUT(108) OR INPUTTA(8) OR INPUTTT(8)) AND 
               (NOT IIINPUT(117) OR INPUTTA(9) OR INPUTTT(9)) AND 
               (NOT IIINPUT(125) OR INPUTTA(10) OR INPUTTT(10)) AND 
               (NOT IIINPUT(132) OR INPUTTA(11) OR INPUTTT(11))  AND
               (NOT IIINPUT(138) OR INPUTTA(12) OR INPUTTT(12)) AND 
               (NOT IIINPUT(143) OR INPUTTA(13) OR INPUTTT(13))  AND 
               (NOT IIINPUT(147) OR INPUTTA(14) OR INPUTTT(14)) AND 
               (NOT IIINPUT(150) OR INPUTTA(15) OR INPUTTT(15))  AND
              (NOT IIINPUT(152) OR INPUTTA(16) OR INPUTTT(16)) AND 
               (NOT IIINPUT(153) OR INPUTTA(17) OR INPUTTT(17)) AND 
               NOT INPUTTA(18) AND NOT INPUTTT(18) AND ZZZERO(18);

END ARC;

